gstreamermm: Gst::StaticPadTemplate Class Reference

gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Gst::StaticPadTemplate Class Reference

## Public Member Functions
| StaticPadTemplate ()
| StaticPadTemplate (const GstStaticPadTemplate* gobject)
GstStaticPadTemplate* | gobj ()
| Provides access to the underlying C instance. More...
const GstStaticPadTemplate* | gobj () const
| Provides access to the underlying C instance. More...
Glib::RefPtr< Gst::PadTemplate > | get ()
| Converts a Gst::StaticPadTemplate into a Gst::PadTemplate. More...
Glib::ustring | get_name_template () const
| Get the nametemplate of the padtemplate. More...
PadDirection | get_direction () const
| Get the Gst::PadDirection of the padtemplate. More...
PadPresence | get_presence () const
| Get the Gst::PadPresence of the padtemplate. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
GstStaticPadTemplate | gobject_

## Related Functions
(Note that these are not member functions.)
Gst::StaticPadTemplate& | wrap (GstStaticPadTemplate* object)
const Gst::StaticPadTemplate& | wrap (const GstStaticPadTemplate* object)

## Constructor & Destructor Documentation

Gst::StaticPadTemplate::StaticPadTemplate | ( |  | ) |

Gst::StaticPadTemplate::StaticPadTemplate | ( | const GstStaticPadTemplate * | gobject | ) |
| explicit

## Member Function Documentation

Glib::RefPtr<Gst::PadTemplate> Gst::StaticPadTemplate::get | ( |  | ) |

Converts a Gst::StaticPadTemplate into a Gst::PadTemplate.

Returns
  A new Gst::PadTemplate.

PadDirection Gst::StaticPadTemplate::get_direction | ( |  | ) | const

Get the Gst::PadDirection of the padtemplate.

Glib::ustring Gst::StaticPadTemplate::get_name_template | ( |  | ) | const

Get the nametemplate of the padtemplate.

PadPresence Gst::StaticPadTemplate::get_presence | ( |  | ) | const

Get the Gst::PadPresence of the padtemplate.

static GType Gst::StaticPadTemplate::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GstStaticPadTemplate* Gst::StaticPadTemplate::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

const GstStaticPadTemplate* Gst::StaticPadTemplate::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

## Friends And Related Function Documentation

Gst::StaticPadTemplate& wrap | ( | GstStaticPadTemplate * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

const Gst::StaticPadTemplate& wrap | ( | const GstStaticPadTemplate * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

GstStaticPadTemplate Gst::StaticPadTemplate::gobject_
| protected

The documentation for this class was generated from the following file:

- gstreamermm/padtemplate.h